Subject: Re: [Emu] Issue #7: Password Authentication

From: "Dan Harkins" <[email-masked]>
Date: Mon, 30 Nov 2009 14:08:53 -0800 (PST)

Hi Joe,

  Sorry for the tardy reply....

  I guess it depends on what you mean by "expose". If it means a kind
of flashing-- here's the username and password!-- then no this is not
sufficient. Such an exposure is certainly a problem but popular ways to
get around this exposure are not satisfactory. What I'm saying is that
Jeff Schiller's old maxim of "NO PLAINTEXT PASSWORDS!" is necessary but
not sufficient. Password-derived data-- "I'll hash in the password and
a couple of nonces so it's not a plaintext password anymore"-- also poses
a problem. So to answer your question of whether any modification is
needed, yes it is.

  Password-based authentication methods are flawed by definition because
the attacker can always be wildly lucky and guess the password at any
time-- whether the attack is on-line or off-line. Therefore the definition
should say _exactly_ what kind of property is desired in a tunneled method
that employs username and password for authentication.

  What needs to be said is that when using password-based authentication,
each attack MUST NOT leak more than a single bit of information-- that
single bit being whether a singular guess is correct or not. I suggest
using the canonical definition of "dictionary attack" from the
cryptographic literature:

     "The advantage any attacker gains against the tunneled method
      when employing a username and password for authentication MUST
      be through interaction and not computation".

  regards,

  Dan.

On Thu, August 6, 2009 12:41 pm, Joseph Salowey (jsalowey) wrote:
> Section 3.1 already states:
>
> " ... The tunnel method MUST support this use case.
>    However, it MUST NOT expose the username and password to parties in
>    the communication path between the peer and the EAP Server and it
>    MUST provide protection against man-in-the-middle and dictionary
>    attacks.  The combination of the tunnel authentication and password
>    authentication MUST enable mutual authentication."
>
> Is there any modification necessary?
>
> Joe
>
>> -----Original Message-----
>> From: Alan DeKok [mailto:[email-masked]]
>> Sent: Thursday, August 06, 2009 1:00 PM
>> To: Dan Harkins
>> Cc: Joseph Salowey (jsalowey); [email-masked]
>> Subject: Re: [Emu] Issue #7: Password Authentication
>>
>> Dan Harkins wrote:
>> >   Perhaps it would be a good idea to mandate that the
>> method used to
>> > authenticate the tunnel (outer method, whatever you want to call
>> > it) MUST NOT be susceptible to a dictionary attack if it is
>> going to
>> > be used to transport a username and plaintext password to the
>> > authentication server.
>>
>>   That is reasonable.
>>
>>   Alan DeKok.
>>
>